<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/background"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".activity.StockMovementActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <include
            android:id="@+id/includedToolbar"
            layout="@layout/custom_toolbar_layout" />

        <RelativeLayout
            android:id="@+id/smListLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/includedToolbar"
            android:layout_margin="20dp"
            android:elevation="@dimen/default_elevation"
            android:background="@drawable/round_outline">

            <LinearLayout
                android:id="@+id/mainHeaderLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:background="@drawable/bottom_border">

                <LinearLayout
                    android:id="@+id/header1Layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/smDateHeader"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="4"
                        android:text="@string/date"
                        android:textSize="20sp" />

                    <TextView
                        android:id="@+id/smStorageHeader"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="6"
                        android:text="@string/storage"
                        android:textAlignment="textEnd"
                        android:textSize="20sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/header2Layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="-10dp"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/smProductHeader"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="5"
                        android:text="@string/product"
                        android:textSize="20sp" />

                    <TextView
                        android:id="@+id/smChangeHeader"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_weight="5"
                        android:text="@string/change"
                        android:textAlignment="textEnd"
                        android:textSize="20sp" />

                </LinearLayout>
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/stockMovementRecyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@+id/mainHeaderLayout"
                android:layout_margin="10dp" />
        </RelativeLayout>
    </RelativeLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>